Package org.gradle.platform

# Class BuildPlatformFactory

java.lang.Object
org.gradle.platform.BuildPlatformFactory

@Incubating public class BuildPlatformFactory extends Object
Factory for creating `BuildPlatform` instances.

Since:
  8.13

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BuildPlatform`
  `of(Architecture architecture, OperatingSystem os)`
  Creates a new `BuildPlatform` instance with the given architecture and operating system.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### of

    public static BuildPlatform of(Architecture architecture, OperatingSystem os)
    Creates a new `BuildPlatform` instance with the given architecture and operating system.
    Parameters:
      `architecture` - the architecture of the platform
      `os` - the operating system of the platform
    Returns:
      the new `BuildPlatform` instance
    Since:
      8.13